Bug 623468 - Incorrect hwtable entry for HSVX700
Summary: Incorrect hwtable entry for HSVX700
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.8
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Gris Ge
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 20:35 UTC by Sebastian Koehler
Modified: 2015-09-16 23:46 UTC (History)
25 users (show)

(edit)
Clone Of: 567760
(edit)
Last Closed: 2011-02-16 14:26:13 UTC


Attachments (Terms of Use)
multipath -v3 (9.06 KB, text/plain)
2010-08-11 20:35 UTC, Sebastian Koehler
no flags Details
/etc/multipath.conf (2.20 KB, text/plain)
2010-08-11 20:36 UTC, Sebastian Koehler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0243 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2011-02-15 16:34:54 UTC

Description Sebastian Koehler 2010-08-11 20:35:25 UTC
Created attachment 438295 [details]
multipath -v3

+++ This bug was initially created as a clone of Bug #567760 +++

I was able to reproduce the issue on RHEL4 U8. 

[root@linux ~]# cat /etc/*release
Red Hat Enterprise Linux ES release 4 (Nahant Update 8)
[root@linux ~]# uname -a
Linux linux.local 2.6.9-89.0.28.ELsmp #1 SMP Thu Jul 22 18:14:41 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

I've attached the multipath.conf and the multipath -v3 output for your reference. With my modifications to multipath.conf the LUN failover is working fine. I'm just curious about the "faulty" status of the passive paths.

[root@linux ~]# multipath -ll
mpath2 (3600a0b80001111550000da0bc987624c)
[size=25 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [prio=8][active]
 \_ 0:0:6:1 sdi 8:128 [active][ready]
 \_ 1:0:7:1 sdl 8:176 [active][ready]
\_ round-robin 0 [enabled]
 \_ 0:0:7:1 sdj 8:144 [active][faulty]
 \_ 1:0:6:1 sdk 8:160 [active][faulty]

Comment 1 Sebastian Koehler 2010-08-11 20:36:37 UTC
Created attachment 438296 [details]
/etc/multipath.conf

Comment 2 Sebastian Koehler 2010-08-11 20:37:54 UTC
The SVSP release used is 3.02 which is still active/passive.

Comment 4 Ben Marzinski 2010-09-21 14:25:57 UTC
The config that seems to work best is

device {
               vendor                  "HP"
               product                 "HSVX700"
               path_grouping_policy    group_by_prio
               prio_callout            "/sbin/mpath_prio_hp_sw /dev/%n"
               hardware_handler        "0"
               path_checker            hp_sw
               failback                immediate
               no_path_retry           12
               rr_min_io               100
}

Comment 5 Ben Marzinski 2010-10-28 03:29:29 UTC
autoconfiguration added.

Comment 7 Gris Ge 2011-01-18 10:19:34 UTC
Ben,

/usr/share/doc/device-mapper-multipath-0.4.5/multipath.conf.defaults is not updated.

multipathd -k'show config' cannot work in RHEL4, is there any way for me to check the autoconfiguration?

Thank you.

Comment 8 Gris Ge 2011-01-18 10:20:04 UTC
Ben,

In device-mapper-multipath-0.4.5-41.el4:
/usr/share/doc/device-mapper-multipath-0.4.5/multipath.conf.defaults is not updated.

multipathd -k'show config' cannot work in RHEL4, is there any way for me to check the autoconfiguration?

Thank you.

Comment 13 Ben Marzinski 2011-01-25 16:10:42 UTC
The old config has been removed, and the documentation has been updated.

Comment 16 Gris Ge 2011-01-26 07:17:58 UTC
Both multipath.conf.defaults and libmultipath/hwtable.c have been updated in device-mapper-multipath-0.4.5-42.el4

Code reviewed. Sanity Only.

Comment 17 errata-xmlrpc 2011-02-16 14:26:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0243.html


Note You need to log in before you can comment on or make changes to this bug.